bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#27608: 26.0.50; ede-proj-elisp-add-path


From: Pierre Lorenzon
Subject: bug#27608: 26.0.50; ede-proj-elisp-add-path
Date: Fri, 07 Jul 2017 18:16:05 +0200 (CEST)


Are these few lines in pconf.el after line 48 not responsible
for the problem :

       (ede-map-targets sp #'ede-proj-flush-autoconf)))
    (ede-map-all-subprojects
     this
     (lambda (sp)
       (ede-map-targets this #'ede-proj-tweak-autoconf)))

calling flush before tweak makes tweak no longer function !

Either ede-proj-flush-autoconf is misplaced for elisp targets
or its implementation is bad and the whole job could be done by
ede-proj-tweak-autoconf in particular this load-path replacing.

Will look at that.

Regards

Pierre


From: Pierre Lorenzon <address@hidden>
Subject: bug#27608: 26.0.50; ede-proj-elisp-add-path
Date: Fri, 07 Jul 2017 17:57:25 +0200 (CEST)

> 
> 
> Well it seems that ede-proj-flush-autoconf is called somewhere
> in between making ede-proj-elisp-add-path throwing an
> error. Well why is the mechanism so ?
> 
> 
> Regards
> 
> Pierre
> 
> 
> From: Pierre Lorenzon <address@hidden>
> Subject: bug#27608: 26.0.50; ede-proj-elisp-add-path
> Date: Fri, 07 Jul 2017 17:40:26 +0200 (CEST)
> 
>> 
>> Oups !
>> 
>> Sory ! the searched regexp does exist in file elisp-comp
>> contained in automake source but not in that copied under my
>> project directory ! Really do not understand what it means !
>> 
>> Regards
>> 
>> Pierre 
>> 
>> 
>> From: Pierre Lorenzon <address@hidden>
>> Subject: bug#27608: 26.0.50; ede-proj-elisp-add-path
>> Date: Fri, 07 Jul 2017 14:30:55 +0200 (CEST)
>> 
>>> 
>>> 
>>> 
>>> Hi,
>>> 
>>> Produces an error when searching for regexp in
>>> elisp-comp. Searched regexp is not in this file that is
>>> sufficiently small to be manually explored.
>>> 
>>> Maybe an version incompatiblity but
>>> 
>>> autoconf --version
>>> autoconf (GNU Autoconf) 2.69
>>> Copyright (C) 2012 Free Software Foundation, Inc.
>>> License GPLv3+/Autoconf: GNU GPL version 3 or later
>>> <http://gnu.org/licenses/gpl.html>, 
>>> <http://gnu.org/licenses/exceptions.html>
>>> This is free software: you are free to change and redistribute it.
>>> There is NO WARRANTY, to the extent permitted by law.
>>> 
>>> Written by David J. MacKenzie and Akim Demaille.
>>> 
>>> And :
>>> 
>>> automake --version
>>> automake (GNU automake) 1.12.4
>>> Copyright (C) 2012 Free Software Foundation, Inc.
>>> License GPLv2+: GNU GPL version 2 or later 
>>> <http://gnu.org/licenses/gpl-2.0.html>
>>> This is free software: you are free to change and redistribute it.
>>> There is NO WARRANTY, to the extent permitted by law.
>>> 
>>> Written by Tom Tromey <address@hidden>
>>>        and Alexandre Duret-Lutz <address@hidden>.
>>> 
>>> 
>>> I think that elisp-comp that is automatically installed comes
>>> from one of tese two packages.
>>> 
>>> Regards
>>> 
>>> Pierre
>>> 
>>> In GNU Emacs 26.0.50 (build 1,
>>> x86_64-pc-linux-gnu) of 2017-07-07 built on jabberwocky
>>> Repository revision: 579a9ee22e0decf7bed8aff1751c5b3d147b921f
>>> 
>>> 
>>> 
>> 
>> 
>> 
> 
> 
> 





reply via email to

[Prev in Thread] Current Thread [Next in Thread]